package com.bjtdba.system.service;

import com.bjtdba.entity.system.SystemConfig;
/**
 * 配置表(RrxSystemConfig)表服务接口
 *
 * @author makejava
 * @since 2022-08-23 16:54:21
 */
public interface SystemConfigService {

    /**
     * 通过ID查询单条数据
     *
     * @param configId 主键
     * @return 实例对象
     */
    SystemConfig queryById(String configId);

    /**
     *
     * @param key
     * @return
     */
    public SystemConfig queryBykey(String key);
//
//    /**
//     * 分页查询
//     *
//     * @param rrxSystemConfig 筛选条件
//     * @param pageRequest      分页对象
//     * @return 查询结果
//     */
//    Page<RrxSystemConfig> queryByPage(SystemConfig rrxSystemConfig, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param rrxSystemConfig 实例对象
     * @return 实例对象
     */
    SystemConfig insert(SystemConfig rrxSystemConfig);

    /**
     * 修改数据
     *
     * @param rrxSystemConfig 实例对象
     * @return 实例对象
     */
    SystemConfig update(SystemConfig rrxSystemConfig);

    /**
     * 通过主键删除数据
     *
     * @param configId 主键
     * @return 是否成功
     */
    boolean deleteById(String configId);

    Object wxQueryByKey(String key);

    public String configValeByKey(String key);
}
